Subject: bug#59361: linux-libre 6 breaks OpenGL on nouveau driver

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 18 Nov 2022 10:47:49 -0500

Hi,

When booting my Guix System with linux-libre 6.0.8, nouveau silently
fails to render OpenGL.  It includes symptoms such as:

1. Getting stuck on the GDM screen, which makes use of OpenGL
2. Not being able to use Qt5 or Qt6 applications, which renders via
OpenGL.
3. the 'glxgears' program from mesa-utils displays frozen gears (not
turning)

My graphic card is an old nvidia 8800 GTS with 640 MiB of video RAM.

Workaround: Adding the '(kernel linux-libre-5.15)' to my OS definition
fixes it.

-- 
Thanks,
Maxim